import React from 'react';
import { ComponentMeta, ComponentStory } from '@storybook/react';
import EntityRFPill from './entitypill';
import { configureStore } from '@reduxjs/toolkit';
import { Provider } from 'react-redux';
import { GraphPolarisThemeProvider } from '@graphpolaris/shared/data-access/theme';

import {
  colorPaletteConfigSlice,
  querybuilderSlice,
  schemaSlice,
} from '@graphpolaris/shared/data-access/store';

// import createTheme from '@mui/system/createTheme';
// import { ThemeProvider } from '@mui/material';
// const theme = createTheme({});

export default {
  /* 👇 The title prop is optional.
   * See https://storybook.js.org/docs/react/configure/overview#configure-story-loading
   * to learn how to generate automatic titles
   */
  title: 'Components/Pills/EntityRFPill',
  component: EntityRFPill,
  decorators: [
    (story) => (
      <Provider store={Mockstore}>
        <GraphPolarisThemeProvider>{story()}</GraphPolarisThemeProvider>
      </Provider>
    ),
  ],
} as ComponentMeta<typeof EntityRFPill>;

// A super-simple mock of a redux store
const Mockstore = configureStore({
  reducer: {
    colorPaletteConfig: colorPaletteConfigSlice.reducer,
    querybuilder: querybuilderSlice.reducer,
    // schema: schemaSlice.reducer,
  },
});

const Template: ComponentStory<typeof EntityRFPill> = (args) => (
  <EntityRFPill {...args} />
);
// const Template = (args: any) => <EntityRFPill {...args} />;

export const Default = Template.bind({});
Default.args = {
  data: {
    name: 'TestEntity',
  },
};

// Default.decorators = [
//   (story) => (
//     <Provider store={Mockstore}>
//       <GraphPolarisThemeProvider>{story()}</GraphPolarisThemeProvider>
//     </Provider>
//   ),
// ];
